"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkExpr = function (expr) {
    if (expr === '+'
        || expr === '-'
        || expr === '*'
        || expr === '/'
        || expr === '='
        || expr === '<'
        || expr === '>'
        || expr === '<='
        || expr === '>='
        || expr === '=='
        || expr === '!=') {
        return expr;
    }
    else {
        return null;
    }
};
exports.checkExist = function (anything) {
    if (anything === undefined) {
        return false;
    }
    return true;
};
var excuteExpr = function (exprE, arg1, arg2) {
    var expr = exports.checkExpr(exprE);
    if (!expr) {
        throw new Error('unvalid expression exception');
    }
    switch (expr) {
        case '+':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'string') {
                return arg1 + arg2;
            }
            else if (typeof arg2 === 'string') {
                return arg1 + arg2;
            }
            else {
                return arg1 + arg2;
            }
        case '-':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 - arg2;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '*':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 * arg2;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '/':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 / arg2;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '=':
            return arg1;
        case '<':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 < arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '>':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 > arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '<=':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 <= arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '>=':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 >= arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '==':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 === arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
        case '!=':
            if (!exports.checkExist(arg2)) {
                throw new Error('not enough argument exception');
            }
            if (typeof arg1 === 'number' && typeof arg2 === 'number') {
                return arg1 !== arg2 ? 1 : 0;
            }
            else {
                throw new Error('illegal calculation exception');
            }
    }
};
exports.default = excuteExpr;
