export declare type TType = 'command' | 'assign' | 'if' | 'for' | 'end' | 'skip' | 'error';
export declare type TArg = 'num' | 'str' | 'exp' | 'var' | 'err' | 'comstart' | 'comend' | 'emp';
export declare type TExpr = '+' | '-' | '*' | '/' | '=' | '<' | '>' | '<=' | '>=' | '==' | '!=';
export interface IArgs {
    type: TArg;
    va: any;
}
export interface IAs {
    type: TType;
    val: string;
    args: IArgs[];
}
declare type TAst = IAs[];
export default TAst;
