"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var list_1 = require("../excute/list");
exports.findExternal = function (val, externals) {
    for (var i = 0; i < externals.length; i++) {
        if (externals[i].command === val) {
            return i;
        }
    }
    return -1;
};
exports.determinReturn = function (command) {
    if (command === 'return') {
        return true;
    }
    return false;
};
exports.determin = function (command, externals) {
    var internalIndex = list_1.internalList.indexOf(command);
    var externalIndex = exports.findExternal(command, externals);
    if (internalIndex !== -1) {
        return list_1.internals[internalIndex].func;
    }
    if (externalIndex !== -1) {
        return externals[externalIndex].func;
    }
    return null;
};
