"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ast_1 = require("./ast/ast");
var excute_1 = require("./excute/excute");
var check_1 = require("./util/check");
var determin_1 = require("./util/determin");
exports.bkc = function (code, optionsE) {
    var options = check_1.fixOption(optionsE);
    if (check_1.checkOptionNameSpace(options).length !== 0) {
        throw new Error('initial namespace is occupied exception');
    }
    var ast = ast_1.default(code, options);
    var excuted = excute_1.default(ast, options);
    for (var _i = 0, excuted_1 = excuted; _i < excuted_1.length; _i++) {
        var i = excuted_1[_i];
        if (determin_1.determinReturn(i.value)) {
            return i.arg;
        }
        var func = determin_1.determin(i.value, options.externals);
        if (!func) {
            throw new Error('command is not defined exception');
        }
        func(i.arg);
    }
    return void 0;
};
exports.default = exports.bkc;
